LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::ui::ImageType Constant Group Reference

Determine the image set of an image manager. More...

## Variables
const short | SIZE_DEFAULT = 0
| an image with default size.
const short | SIZE_LARGE = 1
| an image with large size.
const short | SIZE_32 = 2
| an image with size 32.
const short | COLOR_NORMAL = 0
| an image with normal colors.
const short | COLOR_HIGHCONTRAST = 4
| an image with high contrast colors.

## Detailed Description

Determine the image set of an image manager.

The constants describe bits in a bit field which determine the current image set of an image manager.

Since
  OOo 2.0

## Variable Documentation

## ◆ COLOR_HIGHCONTRAST

const short COLOR_HIGHCONTRAST = 4

an image with high contrast colors.

## ◆ COLOR_NORMAL

const short COLOR_NORMAL = 0

an image with normal colors.

## ◆ SIZE_32

const short SIZE_32 = 2

an image with size 32.

Since
  LibreOffice 5.3

## ◆ SIZE_DEFAULT

const short SIZE_DEFAULT = 0

an image with default size.

## ◆ SIZE_LARGE

const short SIZE_LARGE = 1

an image with large size.